org.vertx.java.core.file

## Class FileSystemProps

- java.lang.Object
- - org.vertx.java.core.file.FileSystemProps

-     public class FileSystemProps
      extends java.lang.Object

  Represents properties of the file system

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `totalSpace` The total space on the file system, in bytes
    `long` | `unallocatedSpace` The total un-allocated space on the file syste, in bytes
    `long` | `usableSpace` The total usable space on the file system, in bytes

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileSystemProps(long totalSpace, long unallocatedSpace, long usableSpace)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### totalSpace

          public final long totalSpace

      The total space on the file system, in bytes

    - #### unallocatedSpace

          public final long unallocatedSpace

      The total un-allocated space on the file syste, in bytes

    - #### usableSpace

          public final long usableSpace

      The total usable space on the file system, in bytes

  - ### Constructor Detail

    - #### FileSystemProps

          public FileSystemProps(long totalSpace,
                         long unallocatedSpace,
                         long usableSpace)